Cisco ha publicado un aviso para alertar acerca de la distribución
de un exploit que saca provecho de diversas vulnerabilidades que
afectan a un gran número de dispositivos de red.


Si bien se trata de vulnerabilidades antiguas, que son conocidas
desde octubre de 2000 a junio de 2002, la novedad radica en la
disponibilidad de un simple exploit escrito en PERL que permite
atacar a los dispositivos vulnerables.

Las vulnerabilidades utilizadas por este exploit permiten
realizar diversos ataques de denegación de servicio contra
diversos dispositivos Cisco y, en un caso concreto, la ejecución
de órdenes en el dispositivo vulnerable por usuarios remotos sin
necesidad de autenticarse.

Concretamente, este exploit se aprovecha de las siguientes
vulnerabilidades:

* Desbordamiento de búfer en el servidor Telnet de CBOS (el
sistema operativo de los routers de la serie 600).

* Denegación de servicio en el servidor HTTP incluido en IOS
versión 11.3 y posteriores.

* Vulnerabilidad en el sistema de autenticación utilizado por
el servidor HTTP del IOS versión 11.3 y posteriores.

* Vulnerabilidad en el servidor SSH incluido en el sistema
operativo de los switches Cisco Catalyst (series 6000, 5000 y
4000).

* Denegación de servicio en la administración web del router
Cisco 675.

* Ejecución de órdenes arbitrarias, sin necesidad de
autenticación, en los swicthes Cisco Catalyst 3500 XL.

* Vulnerabilidades que permiten ataques de denegación de servicio
en el servidor HTTP del IOS, versiones 12.0 a 12.1

* Inundación UDP en el router Cisco 514.

En el caso del router Cisco 675, por el momento no hay ninguna
solución por lo que Cisco recomienda cambiar el puerto asociado
al servidor web de administración.

La recomendación de Cisco es que los administradores de redes
verifiquen que han tomado las medidas que en su día indicó para
cada una de las vulnerabilidades, que pueden encontrarse en los
diversos boletines publicados en su día (y que indicamos en el
apartado de más información).


Más información

Cisco Global Exploiter
http://www.blackangels.it/Files/Secu...ols/cge.pl.txt

Cisco Security Notice: Exploit for Multiple Cisco Vulnerabilities
http://www.cisco.com/warp/public/707...exploits.shtml

Cisco Security Advisory: CBOS - Improving Resilience to Denial-
of-Service Attacks
http://www.cisco.com/warp/public/707/CBOS-DoS.shtml

Cisco Security Advisory: IOS HTTP Authorization Vulnerability
http://www.cisco.com/warp/public/707...level-pub.html

Cisco Security Advisory: Cisco Catalyst SSH Protocol Mismatch
Vulnerability
http://www.cisco.com/warp/public/707...atch-pub.shtml

Advisory def-2000-02: Cisco Catalyst remote command execution
http://www.securityfocus.com/archive/1/141471
http://www.securityfocus.com/archive/1/144655

Cisco Security Advisory: Cisco IOS HTTP Server Query Vulnerability
http://www.cisco.com/warp/public/707...uery-pub.shtml

Cisco Security Advisory: A Vulnerability in IOS Firewall Feature Set
http://www.cisco.com/warp/public/707...nacl-pub.shtml

Exploit per a diverses vulnerabilitats de Cisco
http://www.quands.info/2004/03/30.html#a2048

Fuente: Hispasec